System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

apache not starting ##Urgent

 
Highlighted
Super Advisor

apache not starting ##Urgent

Dear All,

My apache not starting and I get the following error while doing that I get the below error.
/etc/apache2 # uname -r
2.4.21-138-smp


srv1:/etc/init.d # ./apache2 start
Starting httpd2 (prefork) Syntax error on line 232 of /etc/apache2/httpd.conf:
Cannot load /usr/lib/apache2/libphp5.so into server: libmysqlclient.so.14: cannot open shared object file: No such file or directory

The command line was:
/usr/sbin/httpd2-prefork -f /etc/apache2/httpd.conf
failed
srv1:/etc/init.d # ./apache2 start
Starting httpd2 (prefork) Syntax error on line 232 of /etc/apache2/httpd.conf:
Cannot load /usr/lib/apache2/libphp5.so into server: libmysqlclient.so.14: cannot open shared object file: No such file or directory

The command line was:
/usr/sbin/httpd2-prefork -f /etc/apache2/httpd.conf
failed
srv1:/etc/init.d # ./apache start
Starting httpd [ Mailman PERL PHP4 Python ]

Syntax error on line 9 of /etc/httpd/suse_loadmodule.conf:
Cannot load /usr/lib/apache/libphp4.so into server: libmysqlclient.so.10: cannot open shared object file: No such file or directory failed
srv1:/etc/init.d #



Pls help on this
2 REPLIES 2
Highlighted
Exalted Contributor

Re: apache not starting ##Urgent

Shalom,

Did you do a major version upgrade of apache from 1.3 to 2.x?

This requires major changes in httpd.conf file

httpd

This command will enable you to run syntax check and debug the httpd.conf file.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Highlighted
Honored Contributor

Re: apache not starting ##Urgent

> Cannot load /usr/lib/apache2/libphp5.so into server: libmysqlclient.so.14: cannot open shared object file: No such file or directory

This might mean something like "Cannot load libphp5.so because it depends on libmysqlclient.so.14 which cannot be found."

So, do you have the proper version of MySQL client library installed?

If you do have the libmysqlclient.so.14, it might depend on something else the dynamic loader cannot find: run "ldd /wherever/it/is/libmysqlclient.so.14" to see all the library dependencies.

MK
MK